Sammy Screamer uses Bluetooth LE to communicate with smartphones and tablets, so only certain devices will be compatible. We currently support the following devices:


iOS 7 or higher

iPhone, iPod Touch and iPads running iOS 7.0+ with Bluetooth 4.0 support:

  • iPhone 4S, 5, 5S, 6, 6 Plus
  • iPod Touch (5th generation)
  • iPad 3rd & 4th generation (retina)
  • iPad Air, iPad Air 2
  • iPad Mini, Mini 2, Mini 3


Android 4.4.2 or higher 

Devices running Android 4.4.2+ or 5.0+ with Bluetooth 4.0 support.